From 9c065d16d70b533364f289c73d11612c8552cc17 Mon Sep 17 00:00:00 2001
From: Stephanie Buser <sbuser@codeaurora.org>
Date: Tue, 16 Jan 2018 23:09:56 -0800
Subject: [PATCH] Force USB enumeration

---
 usb/start_usb | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/usb/start_usb b/usb/start_usb
index 4defdcf..afc7ff9 100644
--- a/usb/start_usb
+++ b/usb/start_usb
@@ -66,6 +66,9 @@ case "$1" in
 			;;
 			*californium* )
 			echo 16384 > /sys/module/g_android/parameters/gsi_in_rndis_aggr_size
+			chmod 777 /sys/class/power_supply/usb/type
+			echo 4 > /sys/class/power_supply/usb/type
+			echo 1 > /sys/class/power_supply/usb/present
 			;;
 			*8053* )
 			ln -fs /sbin/usb/compositions/901D \
-- 
1.8.2.1

